Requires write_orders access scope.
For more info, refer to:
POST https://{handle}.myshopline.com/admin/openapi/v20261201/orders/:id/cancel.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Cancel order
Path Parameters
  • id string required
    Order number
    Example: "21050342939778451436179579"
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
  • processed_at string
    Cancel the order actual time
    Example: 2023-04-12T22:59:52+08:00
  • refund_type string
    Refund type:
    • OriginalPayment Refund: Refund by original payment method
    • Manual: Manually mark refund
    When the payment channel is Paypal, the default value is: OriginalPayment Refund if not passed. The default value for other payment channels is: Manual.
  • restock boolean
    "Will the inventory be rolled back?" true :roll back the inventory false or null : don’t roll back the inventory
    Example: true
  • amount double
    amount
    Example: 100
  • cancel_reason string
    cancelReason
    Example: " don ' t want to buy "
  • currency string
    currency
    Example: "CNY"
  • email boolean
    Send mail or not
    Example: true
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • orderobject
    For order information, field descriptions and examples, please refer to the response result of the order list
  • checkout_id string
    abandoned order id
    Example: 2404785166526352972864
  • currency string
    Transaction currency
    Example: USD
  • current_total_discounts_setobject
  • presentment_moneyobject
    Currency information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency information
    Example: USD
  • shop_moneyobject
    Sell side amount
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • order_status_url string
    Order status page URL
    Example: https://shoptest.myshoplinestg.com/trade/thank_you?mainOrderMark=xxx&mainOrderSeq=200565776406008509
  • payment_gateway_names array
    List of payment methods, list of payment methods used for this order, SLpayments, Paypal (PayPal payment), Oceanpay (Oceanpayment), TwoCheckout, AsiaBill, Stripe, Pacypay, WorldPay, COD (cash on delivery), CUSTOM (custom), adjustPay (funding adjustment), Xendit (xendit credit card), XenditOther
    Example: ["PayPal"]
  • companyobject
    Company info
  • id string
    Company id
    Example: 1005619945158043247856
  • location_id string
    Location id
    Example: 3005619945158043247856
  • tax_registration_id string
    Tax registration id
    Example: 213213
  • subtotal_price_setobject
    Multi-currency information of total product price after discount
  • presentment_moneyobject
    Buyer side amount information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Store side amount information
  • currency_code string
    Currency
    Example: USD
  • amount string
    Amount
    Example: 8.00
  • tax_type string
    Types of tax ID
    Example: Type
  • taxes_included boolean
    Does the total include tax?
    Example: true
  • total_outstanding string
    Sum of unpaid amount, precision 2
    Example: Amount
  • email string
    Buyer's mailbox, there must be one of the two
    Example: test1001@Gmail.com
  • current_subtotal_price_setobject
    Multi-currency information of the current commodity sum, the buyer's and seller's currency and the amount are the same
  • presentment_moneyobject
    Buy side currency
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Sell side amount
  • amount string
    Amount, Precision 2
    Example: 8.00
  • currency_code string
    Currency code
    Example: USD
  • current_total_tax string
    Total tax, product tax + shipping tax
    Example: 8.00
  • deduct_member_point_amount_setobject
    Current order membership credit to the amount , multi-currency information
  • presentment_moneyobject
    Buy side currency
  • currency_code string
    Currency
    Example: USD
  • amount string
    Amount
    Example: 8.00
  • shop_moneyobject
    Sell side currency
  • currency_code string
    Currency
    Example: USD
  • amount string
    Amount
    Example: 8.00
  • shipping_addressobject
    Shipping address
  • standard_province_code string
    The code for the province in the shipping address, which is a two-digit ISO 3166-2 international code.This differs from province_code - the province_code response field uses a custom code.
  • zip string
    Postal code
    Example: 92503
  • country string
    Country
    Example: US
  • first_name string
    First name
    Example: Tom
  • name string
    Full name
    Example: Tom Washington
  • phone string
    Phone
    Example: 13100000000
  • province string
    Province
    Example: California
  • address2 string
    Detailed address 2, optional
    Example: address2
  • longitude string
    longitude
    Example: 31
  • country_code string
    Country code
    Example: US
  • latitude string
    latitude
    Example: 45
  • address1 string
    Detailed address 1
    Example: address1
  • city string
    City
    Example: New York
  • company string
    Company Name
    Example: New company
  • last_name string
    Last name
    Example: Washington
  • province_code string
    Province code
    Example: 4200006
  • tags string
    order label
    Example: Label
  • tax_linesobject[]
    Tax information
  • price string
    Tax amount , accuracy 2
    Example: 8.00
  • price_setobject
    Multi-currency information of tax
  • presentment_moneyobject
    Buyer side amount information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Sell side amount information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • rate double
    Tax rate
    Example: 1
  • title string
    Tax name
    Example: taxes
  • billing_addressobject
    Billing address information
  • address1 string
    Detailed address 1
    Example: address1
  • address2 string
    Detailed address 2, optional
    Example: address2
  • city string
    City
    Example: New York
  • country string
    Country
    Example: US
  • first_name string
    Last name
    Example: Tom
  • province string
    Province
    Example: California
  • province_code string
    Province code
    Example: 4200006
  • standard_province_code string
    The code for the province in the billing address, which is a two-digit ISO 3166-2 international code.This differs from province_code - the province_code response field uses a custom code.
  • company string
    Company Name
    Example: New company
  • country_code string
    Country code
    Example: US
  • last_name string
    First name
    Example: Washington
  • name string
    Full name
    Example: Tom Washington
  • phone string
    Phone
    Example: 12756431298
  • zip string
    Postal code
    Example: 51234
  • cart_token string
    shopping cart token
    Example: c2c4a58186b9d96395d7e6b5c2969577
  • customer_locale string
    Buyer country, language code + country name abbreviation
    Example: enCN
  • tax_number string
    TIN
    Example: 11111111
  • checkout_token string
    Checkout page token
    Example: 2404785166526352972864
  • current_total_discounts string
    Sum of discounts, precision 2, marketing offers + artificial discounts
    Example: 8.00
  • presentment_currency string
    Buy side currency, same as sell side currency
    Example: USD
  • total_discounts string
    Total discount, marketing discount + artificial discount
    Example: 8.00
  • cancelled_at string
    Order cancellation time (end) (see IOS8601 for the format), 2012-05-01T14:22:25-04:00
    Example: 2012-05-01T14:22:25-04:00
  • discount_codesobject[]
    Promo code information
  • amount string
    Discount amount, precision 2
    Example: 8.00
  • amount_setobject
    Discount amount , multi-currency information
  • presentment_moneyobject
    Buy side currency
  • currency_code string
    Currency
    Example: USD
  • amount string
    Amount
    Example: 8.00
  • shop_moneyobject
    Sell side currency
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • code string
    Promo code
    Example: 1Q3UMQM8RBP5
  • type string
    Type of discount, reduced amount; discount; free shipping; fixed price; the lowest price item is free; package price; the Nth item is discounted;
    Example: Reduction amount
  • fulfillment_status string
    The shipping status of the product, shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped;
    Example: fulfilled
  • id string
    Order number, system-defined number
    Example: 21050224312121887324667162
  • phone string
    Buyer contact information, there must be one of the two
    Example: 12903001000
  • store_id string
    store ID
    Example: 1644828244663
  • current_subtotal_price string
    Sum of current products, total price of products * quantity
    Example: 8.00
  • current_total_price string
    The total order amount, displayed in the store currency.
    Example: 8.00
  • deduct_member_point_amount string
    Current order membership credit
    Example: 8.00
  • payment_detailsobject[]
    Payment slip information
  • pay_amount double
    Payment amount
    Example: 8.23
  • pay_channel_deal_id string
    External channel payment serial number
    Example: pi_3MI897Hezv8FxjBO1uGxMPhX
  • status_code string
    Payment status code
    Example: RISK_PENDING
  • pay_seq string
    Payment slip number
    Example: 23057287797738260472676128
  • pay_status string
    Payment order status, unpaid-unpaid; pending-paying; risking-risk control; paid-paid; paid_overtime-payment failed; paid_failed-payment failed;
    Example: unpaid
  • processed_at string
    Payment creation time , format : 2023-04-12T22 : 59 : 52+08 : 00
    Example: 2023-04-12T22:59:52+08:00
  • status_msg string
    Payment order status code description
    Example: PENDING_REVIEW
  • create_time string
    Payment slip create time ( format see IOS8601 )
    Example: 2012-05-01T14:22:25-04:00
  • order_seq string
    Order number
    Example: 23057287797738260472676128
  • total_line_items_price_setobject
    Sum of original price of goods, multi-currency information
  • presentment_moneyobject
    Buyer side amount information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Sell side amount information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • cancel_reason string
    Seller's reason for cancellation
    Example: " don ' t want to buy "
  • financial_status string
    Payment status, unpaid, authorized, pending, partially_paid, paid, partially_refunded, refunded
    Example: "paid"
  • note string
    Merchant notes
    Example: Merchant notes
  • refundsobject[]
    Refund list
  • id string
    Refund ID
    Example: 2605659027312156877634
  • note string
    Refund Notes
    Example: Refund Notes
  • order_id string
    Order number
    Example: 21056577640603870897253153
  • processed_at string
    Update time (see IOS8601 for the format)
    Example: 2012-05-01T14:22:25-04:00
  • refund_line_itemsobject[]
    Refund Details
  • total_tax double
    Tax amount of refunded goods, precision 2
    Example: 7
  • total_tax_setobject
    Total tax amount, multi-currency information
  • presentment_moneyobject
    Buyer side currency information
  • amount string
    Amount
    Example: 7.00
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Seller side currency information
  • amount string
    Amount
    Example: 7.00
  • currency_code string
    Currency
    Example: USD
  • line_itemobject
    Refund Product line
  • variant_title string
    Commodity attribute value, multiple divided by " / ", such as: "155 / red / large"
    Example: big
  • name string
    SKU title, same as title
    Example: test-002
  • price string
    Commodity price, precision 2
    Example: 3.25
  • requires_shipping boolean
    Shipping or not
  • sku string
    Product code, barCode
    Example: 18056761559987524812644011
  • fulfillable_quantity integer
    Available quantity
    Example: 1
  • id string
    The ID of the product snapshot table, generated by the system, uniquely confirms a product with the order number
    Example: 403
  • taxable boolean
    Tax or not?
  • tax_linesobject[]
    Tax information
  • title string
    Tax name
    Example: taxes
  • price string
    Tax, precision 2
    Example: 8.00
  • price_setobject
    Multi-currency information of tax
  • presentment_moneyobject
    Buyer side currency information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Seller side currency information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • rate double
    Tax rate
    Example: 1
  • fulfillment_status string
    The shipping status of the product, shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped;
    Example: fulfilled
  • grams double
    Weight ( grams )
    Example: 100
  • price_setobject
    Product selling price , multi-currency information
  • presentment_moneyobject
    Buy side currency
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Sell side currency
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • product_id string
    SPU serial number
    Example: 16056761559984840457934011
  • vendor string
    Supplier
    Example: Supplier
  • fulfillment_service string
    Logistics company name
    Example: SF International
  • quantity integer
    Quantity of items in the order
    Example: 1
  • title string
    Product title
    Example: Nice looking skirt
  • variant_id string
    Product SKU serial number
    Example: 18056761559987524812644011
  • line_item_id string
    The ID of the product snapshot table, generated by the system, uniquely confirms a product with the order number
    Example: 302
  • quantity integer
    Quantity, quantity of goods
    Example: 1
  • restock_type string
    Inventory return type, no_restock-not returned, cancel-cancelled, return-returned only not returned
    Example: no_restock
  • subtotal double
    Total refund amount, precision 2
    Example: 8
  • id string
    Refund order number
    Example: 2605659027312156877634
  • subtotal_setobject
    Total refund amount, multi-currency information, same on seller and buyer side
  • presentment_moneyobject
    Buyer side currency information
  • currency_code string
    Currency
    Example: USD
  • amount string
    Amount
    Example: 3.25
  • shop_moneyobject
    Seller side currency information
  • amount string
    Amount
    Example: 3.25
  • currency_code string
    Currency
    Example: USD
  • transactionsobject[]
    Refund transaction information
  • created_at string
    Creation time (see IOS8601 for the format)
    Example: 2012-05-01T14:22:25-04:00
  • kind string
    Transaction type (authorization, capture, sale, void, refund)
    Example: authorization
  • order_id string
    Order number
    Example: 21056577640603870897253153
  • status string
    Handling status, pending, failure, success, and error
    Example: pending
  • amount string
    Amount
    Example: 8.00
  • currency string
    Currency
    Example: USD
  • id string
    Refund ID
    Example: 2605659027312156877634
  • processed_at string
    Update time (see IOS8601 for the format)
    Example: 2012-05-01T14:22:25-04:00
  • user_id string
    Buyer ID
    Example: 4201057495
  • user_id string
    User ID
    Example: 4201057495
  • created_at string
    Refund form creation time (see IOS8601 for the format)
    Example: 2012-05-01T14:22:25-04:00
  • total_weight double
    Total product weight ( g )
    Example: 100
  • updated_at string
    Order update time ( format see IOS8601 )
    Example: 2012-05-01T14:22:25-04:00
  • total_tax_setobject
    Total taxes and fees, multi-currency information
  • shop_moneyobject
    Seller side currency information
  • currency_code string
    Amount
    Example: USD
  • amount string
    Currency
    Example: 8.00
  • presentment_moneyobject
    Buyer side currency information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • line_itemsobject[]
    Order product snapshot information
  • variant_title string
    Commodity attribute value, multiple divided by " / ", such as: "155 / red / large"
    Example: big
  • gift_card boolean
    Is it a gift card product?
    Example: true
  • product_id string
    SPU serial number
    Example: 16056761559984840457934011
  • sku string
    Product code, barCode
    Example: 18056761559987524812644011
  • tax_linesobject[]
    Tax information
  • price string
    Tax, precision 2
    Example: 8.00
  • price_setobject
    Multi-currency information of tax
  • presentment_moneyobject
    Buyer side currency information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Seller side currency information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • rate double
    Tax rate
    Example: 1
  • title string
    Tax name
    Example: taxes
  • type string
    Tax fee type, used to distinguish between commodity tax and freight tax. The enumeration value is as follows product_tax: commodity tax shipping_tax: freight tax
    Example: shipping_tax
  • title string
    Product title
    Example: Nice looking skirt
  • discount_allocationsobject[]
    Marketing discount details in multiple currencies
  • amount string
    Discount details
    Example: 8.00
  • amount_setobject
    Discount details in multiple currencies
  • presentment_moneyobject
    Payment currency
  • amount string
    Amount, Precision 2
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Store currency
  • amount string
    Amount, Precision 2
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • discount_application_index integer
    Discount index information : marked in the position of the discount details
    Example: 1
  • grams double
    Weight ( grams )
    Example: 100
  • harmonized_system_code string
    harmonized system code
    Example: harmonized system code
  • quantity integer
    Quantity of items in the order
    Example: 2
  • vendor string
    Supplier
    Example: Supplier
  • dutiesobject[]
    Duty information
  • harmonized_system_code string
    Customs code
  • id string
    Tariff number
  • priceobject
    Tariff multi-currency information
  • presentment_moneyobject
    Buyer side amount information
  • amount string
    Amount
    Example: 8.88
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Sell side amount information
  • amount string
    Amount
    Example: 8.88
  • currency_code string
    Currency
    Example: USD
  • tax_linesobject[]
    Tax details list
  • price_setobject
    Multi-currency information of tax
  • presentment_moneyobject
    Buyer side amount information
  • amount string
    Amount
    Example: 8.88
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Sell side amount information
  • amount string
    Amount
    Example: 8.88
  • currency_code string
    Currency
    Example: USD
  • rate double
    Tax rate
  • rate_percentage double
    Tax rate (percentage value, i.e. rate * 100)
  • title string
    Tax title
  • country_code_of_origin string
    Country code of origin/shipping point
  • fulfillment_service string
    Logistics company name
    Example: SF International
  • fulfillment_status string
    The shipping status of the product, shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped;
    Example: Fulfilled
  • id string
    The ID of the product snapshot table, generated by the system, uniquely confirms a product with the order number
    Example: 413
  • location_id string
    The corresponding location of the store in the POS scenario
    Example: 5327026538935748524
  • price string
    Commodity price, precision 2
    Example: 8.00
  • taxable boolean
    Tax or not?
    Example: true
  • country_code_of_origin string
    Country of origin
    Example: Country of origin
  • fulfillable_quantity integer
    Available quantity
    Example: 2
  • name string
    SKU title, same as title
    Example: Product name
  • price_setobject
    Product selling price , multi-currency information
  • presentment_moneyobject
    Buy side currency
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Sell side currency
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • requires_shipping boolean
    Shipping or not
    Example: true
  • variant_id string
    Product SKU serial number
    Example: 18056761559987524812644011
  • note_attributesobject[]
    Merchant note log, date content
  • create_time string
    Remark creation time (see IOS8601 for the format)
    Example: 2012-05-01T14:22:25-04:00
  • name string
    Remark source (seller ID)
    Example: Note source
  • value string
    Notes
    Example: Note source
  • total_tax string
    Sum of taxes, precision 2, commodity tax + shipping tax
    Example: 8.00
  • total_tip_received string
    Tip, precision 2
    Example: 8.00
  • client_detailsobject
    Client Details
  • user_agent string
    Client Proxy
    Example: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/106.0.0.0 Sa
  • browser_ip string
    Detailed address 1
    Example: 157.119.232.35
  • session_hash string
    sessionId
    Example: 90c6724a-cf0d-4517-bd61-5c2727c2f886
  • order_source string
    Order source
    Example: pos
  • app_id string
    App ID
  • processed_user_id string
    Order creator
    Example: 4201057495
  • subtotal_price string
    Total product price after discount, total product price - marketing discount - artificial discount
    Example: 8.00
  • total_line_items_price string
    Sum of original prices of goods, precision 2
  • total_outstanding_setobject
    The total amount of payment is total , multi-currency information
  • presentment_moneyobject
    Buyer side amount information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Sell side amount information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • total_shipping_price_setobject
    Order shipping sum, multi-currency information
  • presentment_moneyobject
    Buyer side amount information
  • currency_code string
    Currency
    Example: USD
  • amount string
    Amount
    Example: 8.00
  • shop_moneyobject
    Sell side amount information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • browser_ip string
    Client IP
    Example: 157.119.232.35
  • current_total_tax_setobject
    Multi-currency information of the sum of taxes, the currency and amount of buyers and sellers are the same
  • presentment_moneyobject
    Buy side currency
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Sell side currency
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shipping_linesobject[]
    Logistics information
  • discounted_price_setobject
    Discount multi-currency amounts
  • presentment_moneyobject
    Buyer side amount information
  • amount string
    Amount, Precision 2
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Store side amount information
  • amount string
    Amount, Precision 2
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • price string
    Logistics freight, precision 2
    Example: 8.00
  • price_setobject
    Logistics freight multi-resource information
  • presentment_moneyobject
    Buyer side amount information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Store side amount information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shipping_price string
    Original shipping value ( non-discounted amount )
    Example: 8.00
  • shipping_price_setobject
    Original shipping value ( non-discounted amount ) , multi-currency information
  • presentment_moneyobject
    Buyer side amount information
  • currency_code string
    Currency
    Example: USD
  • amount string
    Amount
    Example: 8.00
  • shop_moneyobject
    Sell side amount information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • source string
    Freight source
    Example: SHOPLINE
  • tax_linesobject[]
    Logistics tax list
  • price_setobject
    Multi-currency information of tax
  • presentment_moneyobject
    Buyer side amount information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Store side amount information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • rate double
    Tax rate
    Example: 1
  • title string
    Tax name
    Example: taxes
  • price string
    taxes
    Example: 8.00
  • discount_allocationsobject[]
    Discount details
  • amount_setobject
    Discount multi-currency amounts
  • presentment_moneyobject
    Buyer side amount information
  • amount string
    Amount, Precision 2
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Store side amount information
  • amount string
    Amount, Precision 2
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • discount_application_index integer
    Discount index information : marked in the position of the discount details
    Example: 1
  • amount string
    Discount amount, precision 2
    Example: 8.00
  • discounted_price string
    Discount amount, precision 2
    Example: 8.00
  • requested_fulfillment_service_id string
    Transportation service code
    Example: LX88888
  • title string
    Logistics name
    Example: SF International
  • code string
    Logistics number
    Example: SF123332435364
  • total_tip_received_setobject
    Tip , multi-currency message
  • presentment_moneyobject
    Buyer side currency information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Seller side currency information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • created_at string
    Order creation time (see IOS8601 for the format)
    Example: 2012-05-01T14:22:25-04:00
  • current_total_price_setobject
    The total order amount, displayed in both the buyer currency and the store currency.
  • shop_moneyobject
    The order price information recorded by the merchant.
  • amount string
    The total order amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • presentment_moneyobject
    The order price information presented to the buyer.
  • amount string
    The total order amount. The value is rounded to two decimal places.
    Example: 8.00
  • currency_code string
    A three-letter currency code that follows the ISO 4217 standard.
    Example: USD
  • customerobject
    Buyer information
  • last_name string
    Last name
    Example: Washington
  • phone string
    User mobile phone number
    Example: 12345678931
  • area_code string
    Phone area code
    Example: +86
  • created_at string
    Buyer creation time (see IOS8601 for the format)
    Example: 2012-05-01T14:22:25-04:00
  • currency string
    Currency
    Example: USD
  • first_name string
    First name
    Example: Tom
  • updated_at string
    Buyer update time
    Example: 2012-05-01T14:22:25-04:00
  • addressesobject
    Buyer address information
  • address1 string
    Detailed address 1
    Example: address1
  • address2 string
    Detailed address 2, optional
    Example: address2
  • city string
    City
    Example: New York
  • country string
    Country
    Example: US
  • country_code string
    Country code
    Example: US
  • last_name string
    First name
    Example: Washington
  • name string
    Full name
    Example: Tom Washington
  • phone string
    Phone
    Example: 12345678931
  • first_name string
    Last name
    Example: Tom
  • province string
    Province
    Example: California
  • province_code string
    Province code
    Example: 4200006
  • zip string
    Postal code
    Example: 54123
  • email string
    User mailbox
    Example: test1001@Gmail.com
  • id string
    User ID
    Example: 4201057495
  • name string
    Custom order number
    Example: test1001
  • processed_at string
    Processed_at time , format : 2023-04-12T22 : 59 : 52+08 : 00
    Example: 2023-04-12T22:59:52+08:00
  • total_discounts_setobject
    Multi-currency information of discount total
  • shop_moneyobject
    Sell side amount information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • presentment_moneyobject
    Buyer side amount information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • current_total_duties_setobject
    Current Product total duty
  • presentment_moneyobject
    Buyer side amount information
  • amount string
    Amount
    Example: 8.88
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Sell side amount information
  • amount string
    Amount
    Example: 8.88
  • currency_code string
    Currency
    Example: USD
  • discount_applicationsobject[]
    All discount information for this order application
  • target_type string
    Discount application for event object 1 ) line_item 2 ) shipping_line
    Example: line_item
  • value string
    Discount value for event
    Example: 20
  • target_selection string
    Discount application for event specific object 1 ) explicit ( discount distribution to clear selected Product or shipping ) 2 ) all ( discount distribution to all Product or shipping ) 3 ) ENTITLED ( discount only distribution to its right to the shipping line ) 3 ) ENTITLED ( discount only to the shipping line of the
    Example: explicit
  • title string
    Specific description of the event
    Example: Description
  • type string
    Event discount type 1 ) manual 2 ) automatic ( auto discount type ) 3 ) discount_code ( discount code type )
    Example: manual
  • value_type string
    Activity discount value type , containing percentage and fixed amount two types
    Example: fixed_amount
  • allocation_method string
    Discount application range 1 ) across ( the value is distributed in all authorized lines ) 2 ) the echo ( the value is applied to each authorized line )
    Example: across
  • code string
    Specific description of the event
    Example: 1Q3UMQM8RBP5
  • description string
    Specific description of the event
    Example: Description
  • fulfillmentsobject[]
    Package information
  • id string
    Package number
    Example: 22046737798141702810214336
  • line_itemsobject[]
    Product list
  • requires_shipping boolean
    Shipping or not
    Example: true
  • fulfillable_quantity integer
    Available quantity
    Example: 2
  • fulfillment_status string
    The shipping status of the product, shipping status, fulfilled-shipped; partial-partially shipped; null-unshipped;
    Example: fulfilled
  • price string
    Commodity price, precision 2
    Example: 8.00
  • quantity integer
    Quantity of items in the order
    Example: 2
  • title string
    Product name
    Example: Nice looking skirt
  • id string
    The ID of the product snapshot table, generated by the system, uniquely confirms a product with the order number
    Example: 231
  • variant_title string
    Commodity attribute value, multiple divided by " / ", such as: "155 / red / large"
    Example: big
  • vendor string
    Supplier
    Example: Supplier
  • sku string
    Product code, barCode
    Example: 18056761559987524812644011
  • grams double
    Weight ( grams )
    Example: 100
  • name string
    SKU title, same as title
    Example: Product name
  • price_setobject
    Product selling price , multi-currency information
  • shop_moneyobject
    Sell side currency
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • presentment_moneyobject
    Buy side currency
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • product_id string
    SPU serial number
    Example: 16056761559984840457934011
  • fulfillment_service string
    Logistics company name
    Example: SF International
  • tax_linesobject[]
    Tax information
  • price string
    Tax, precision 2
    Example: 8.00
  • price_setobject
    Multi-currency information of tax
  • presentment_moneyobject
    Currency information
  • amount string
    Description amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • shop_moneyobject
    Sell side amount information
  • amount string
    Amount
    Example: 8.00
  • currency_code string
    Currency
    Example: USD
  • rate double
    Tax rate
    Example: 1
  • title string
    Tax name
    Example: taxes
  • taxable boolean
    Tax or not?
    Example: true
  • variant_id string
    Product SKU serial number
    Example: 18056761559987524812644011
  • shipment_status string
    Package tracking
    Example: fulfilled
  • status string
    Logistics delivery status, success-shipped; cancelled-cancelled;
    Example: success
  • tracking_company string
    Logistics company name
    Example: SF International
  • updated_at string
    Update time (see IOS8601 for the format)
    Example: 2012-05-01T14:22:25-04:00
  • created_at string
    Creation time (see IOS8601 for the format)
    Example: 2012-05-01T14:22:25-04:00
  • order_id string
    Order number
    Example: 21056577640603870897253153
  • tracking_info_listobject[]
    If this parameter is specified, the individual parameters tracking_url, tracking_number, and tracking_company will be ignored.Maximum of 10 tracking infos allowed.
  • tracking_number string
    The logistics service provider.
  • tracking_url string
    The tracking number.
  • tracking_company string
    The URL for tracking the package.
  • tracking_number string
    Third party tracking number
    Example: SF10122233322222
  • tracking_url string
    Logistics company URL
    Example: https://www.sf-international.com/
  • user_id string
    Buyer ID
    Example: 4201057495
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201

ParamOptions

path required
header required

Body

required
{
  "amount": 100,
  "cancel_reason": "\" don ' t want to buy \"",
  "currency": "\"CNY\"",
  "email": true,
  "processed_at": "2023-04-12T22:59:52+08:00",
  "refund_type": null,
  "restock": true
}

Language

curl --request POST \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201/orders/id/cancel.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Was this article helpful to you?